
local compact_inserters_tech =
{
    type = "technology",
    name = "compact-inserters",
    icon = "__Compact_Factory__/graphics/technology/compact-inserters.png",
    icon_size = 128,
    effects = 
    {
        { type = "unlock-recipe", recipe = "fast-long-handed-inserter" },
    },
    prerequisites = { "logistics-3" },
    upgrade = true,
    unit =
    {
        count = 100,
        ingredients = 
        {
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
        },
        time = 30,
    },
    order = "c-k-a",
}

if config.inserters or config.preserve_techs then
    data_extend(compact_inserters_tech)
end